RespTimeGraphChart (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.visualizers, class: RespTimeGraphChart

Package org.apache.jmeter.visualizers

# Class RespTimeGraphChart

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
org.apache.jmeter.visualizers.RespTimeGraphChart

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`

public class RespTimeGraphChart extends JPanel

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class javax.swing.JPanel

  `JPanel.AccessibleJPanel`

  ## Nested classes/interfaces inherited from class javax.swing.JComponent

  `JComponent.AccessibleJComponent`

  ## Nested classes/interfaces inherited from class java.awt.Container

  `Container.AccessibleAWTContainer`

  ## Nested classes/interfaces inherited from class java.awt.Component

  `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Color[]`
  `color`
  `protected double[][]`
  `data`
  `protected int`
  `height`
  `protected int`
  `incrYAxisScale`
  `protected Font`
  `legendFont`
  `protected String[]`
  `legendLabels`
  `protected int`
  `legendPlacement`
  `protected int`
  `maxYAxisScale`
  `protected Shape`
  `pointShape`
  `protected boolean`
  `showGrouping`
  `protected float`
  `strokeWidth`
  `protected String`
  `title`
  `protected Font`
  `titleFont`
  `protected int`
  `width`
  `protected String[]`
  `xAxisLabels`
  `protected String`
  `xAxisTitle`
  `protected String`
  `yAxisLabel`
  `protected String`
  `yAxisTitle`

  ### Fields inherited from class javax.swing.JComponent

  `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

  ### Fields inherited from class java.awt.Component

  `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

  ### Fields inherited from interface java.awt.image.ImageObserver

  `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RespTimeGraphChart()`
  Constructor
  `RespTimeGraphChart(LayoutManager layout)`
  Constructor
  `RespTimeGraphChart(LayoutManager layout, boolean isDoubleBuffered)`
  Constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color[]`
  `getColor()`
  `Font`
  `getLegendFont()`
  `int`
  `getLegendPlacement()`
  `int`
  `getMaxYAxisScale()`
  `Shape`
  `getPointShape()`
  `float`
  `getStrokeWidth()`
  `Font`
  `getTitleFont()`
  `boolean`
  `isShowGrouping()`
  `void`
  `paintComponent(Graphics graphics)`
  `void`
  `setColor(Color[] color)`
  `void`
  `setData(double[][] data)`
  `void`
  `setHeight(int h)`
  `void`
  `setIncrYAxisScale(int incrYAxisScale)`
  `void`
  `setLegendFont(Font legendFont)`
  `void`
  `setLegendLabels(String[] labels)`
  `void`
  `setLegendPlacement(int legendPlacement)`
  `void`
  `setMaxYAxisScale(int maxYAxisScale)`
  `void`
  `setPointShape(Shape pointShape)`
  `void`
  `setShowGrouping(boolean showGrouping)`
  `void`
  `setStrokeWidth(float strokeWidth)`
  `void`
  `setTitle(String title)`
  `void`
  `setTitleFont(Font titleFont)`
  `void`
  `setWidth(int w)`
  `void`
  `setXAxisLabels(String[] labels)`
  `void`
  `setXAxisTitle(String title)`
  `void`
  `setYAxisLabels(String label)`
  `void`
  `setYAxisTitle(String title)`

  ### Methods inherited from class javax.swing.JPanel

  `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

  ### Methods inherited from class javax.swing.JComponent

  `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

  ### Methods inherited from class java.awt.Container

  `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

  ### Methods inherited from class java.awt.Component

  `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### data

    protected double[][] data

  - ### title

    protected String title

  - ### xAxisTitle

    protected String xAxisTitle

  - ### yAxisTitle

    protected String yAxisTitle

  - ### yAxisLabel

    protected String yAxisLabel

  - ### xAxisLabels

    protected String[] xAxisLabels

  - ### width

    protected int width

  - ### height

    protected int height

  - ### incrYAxisScale

    protected int incrYAxisScale

  - ### legendLabels

    protected String[] legendLabels

  - ### maxYAxisScale

    protected int maxYAxisScale

  - ### titleFont

    protected Font titleFont

  - ### legendFont

    protected Font legendFont

  - ### color

    protected Color[] color

  - ### showGrouping

    protected boolean showGrouping

  - ### legendPlacement

    protected int legendPlacement

  - ### pointShape

    protected Shape pointShape

  - ### strokeWidth

    protected float strokeWidth

- ## Constructor Details

  - ### RespTimeGraphChart

    public RespTimeGraphChart()
    Constructor

  - ### RespTimeGraphChart

    public RespTimeGraphChart(LayoutManager layout)
    Constructor
    Parameters:
      `layout` - The `LayoutManager` to be used

  - ### RespTimeGraphChart

    public RespTimeGraphChart(LayoutManager layout, boolean isDoubleBuffered)
    Constructor
    Parameters:
      `layout` - The `LayoutManager` to be used
      `isDoubleBuffered` - Flag whether double buffering should be used

- ## Method Details

  - ### setData

    public void setData(double[][] data)

  - ### setTitle

    public void setTitle(String title)

  - ### setXAxisTitle

    public void setXAxisTitle(String title)

  - ### setYAxisTitle

    public void setYAxisTitle(String title)

  - ### setXAxisLabels

    public void setXAxisLabels(String[] labels)

  - ### setYAxisLabels

    public void setYAxisLabels(String label)

  - ### setLegendLabels

    public void setLegendLabels(String[] labels)

  - ### setWidth

    public void setWidth(int w)

  - ### setHeight

    public void setHeight(int h)

  - ### setIncrYAxisScale

    public void setIncrYAxisScale(int incrYAxisScale)
    Parameters:
      `incrYAxisScale` - the incrYAxisScale to set

  - ### getMaxYAxisScale

    public int getMaxYAxisScale()
    Returns:
      the maxYAxisScale

  - ### setMaxYAxisScale

    public void setMaxYAxisScale(int maxYAxisScale)
    Parameters:
      `maxYAxisScale` - the maxYAxisScale to set

  - ### getColor

    public Color[] getColor()
    Returns:
      the color

  - ### setColor

    public void setColor(Color[] color)
    Parameters:
      `color` - the color to set

  - ### getTitleFont

    public Font getTitleFont()
    Returns:
      the titleFont

  - ### setTitleFont

    public void setTitleFont(Font titleFont)
    Parameters:
      `titleFont` - the titleFont to set

  - ### getLegendFont

    public Font getLegendFont()
    Returns:
      the legendFont

  - ### setLegendFont

    public void setLegendFont(Font legendFont)
    Parameters:
      `legendFont` - the legendFont to set

  - ### getLegendPlacement

    public int getLegendPlacement()
    Returns:
      the legendPlacement

  - ### setLegendPlacement

    public void setLegendPlacement(int legendPlacement)
    Parameters:
      `legendPlacement` - the legendPlacement to set

  - ### getPointShape

    public Shape getPointShape()
    Returns:
      the pointShape

  - ### setPointShape

    public void setPointShape(Shape pointShape)
    Parameters:
      `pointShape` - the pointShape to set

  - ### getStrokeWidth

    public float getStrokeWidth()
    Returns:
      the strokeWidth

  - ### setStrokeWidth

    public void setStrokeWidth(float strokeWidth)
    Parameters:
      `strokeWidth` - the strokeWidth to set

  - ### isShowGrouping

    public boolean isShowGrouping()
    Returns:
      the showGrouping

  - ### setShowGrouping

    public void setShowGrouping(boolean showGrouping)
    Parameters:
      `showGrouping` - the showGrouping to set

  - ### paintComponent

    public void paintComponent(Graphics graphics)
    Overrides:
      `paintComponent` in class `JComponent`